View Issue Details

IDProjectCategoryView StatusLast Update
0001189SOGoBackend Mailpublic2016-08-02 10:33
Reporteredform Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.5 
Fixed in Version3.0.2 
Summary0001189: Sub-folder deletion is weird
Description

Create subfolder of inbox and then try to delete it. The subfolder becomes a subfolder of Trash in the normal way. Then try to empty trash and the system says trash cannot be emptied.

Add a couple of deleted emails to trash and then try to empty trash and it works removing the formerly undeletable subfolder as well.

I have reinstalled the whole server from scratch and added SOGo twice and the same behaviour occurs each time.

Additional Information

Sogo installed on contribs.org SME server. Mail store is based on Dovecot. Server has Horde installed as standard and the problem occurs whether Horde webmail is turned on or disabled.

TagsNo tags attached.

Activities

joolsr

joolsr

2011-06-21 05:54

reporter   ~0002611

We have a similar issue where I cant delete folders that are in the Trash Folder using Sogo webmail. We using a Courier IMAP system if that helps.

Adding other emails to aid deleting folders in trash doesn't help me though, the Folders can still not be deleted.

ludovic

ludovic

2016-02-09 15:52

administrator   ~0009485

https://github.com/inverse-inc/sogo/commit/3e76de1e6e31e84e3838a761fb2812ba7883723d

Related Changesets

sogo: v2 9ecee32d

2016-02-09 15:46:52

ludovic


Committer: francis Details Diff
(fix) delete mailbox from the Trash folder

Fixes 0000595, 0001189, 0000641
Affected Issues
0000595, 0000641, 0001189
mod - NEWS Diff File
mod - UI/MailerUI/UIxMailFolderActions.m Diff File

Issue History

Date Modified Username Field Change
2011-03-14 11:46 edform New Issue
2011-06-21 05:54 joolsr Note Added: 0002611
2016-02-09 15:52 ludovic Note Added: 0009485
2016-02-09 15:52 ludovic Status new => resolved
2016-02-09 15:52 ludovic Fixed in Version => 3.0.2
2016-02-09 15:52 ludovic Resolution open => fixed
2016-02-09 15:52 ludovic Assigned To => ludovic
2016-08-02 10:33 francis Changeset attached => sogo v2 9ecee32d